package org.jboss.qe.cxf.rs.filter.priority;

import javax.annotation.Priority;
import javax.ws.rs.Priorities;
import javax.ws.rs.container.ContainerRequestContext;
import javax.ws.rs.container.ContainerResponseContext;
import javax.ws.rs.ext.Provider;

import java.io.IOException;

@Priority(Priorities.AUTHORIZATION)
@Provider
@Authorization
public class AuthorizationFilter extends AbstractFilter {

	@Override
	public void filter(ContainerRequestContext requestContext) {
		concatHeader(Priorities.AUTHORIZATION, requestContext);
	}

	@Override
	public void filter(ContainerRequestContext requestContext, ContainerResponseContext responseContext) throws IOException {
		concatHeader(Priorities.AUTHORIZATION, responseContext);
	}
}
