package org.jboss.qe.cxf.rs.filter.priority;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.HeaderParam;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/priority")
@Consumes(MediaType.TEXT_PLAIN)
@Produces(MediaType.TEXT_PLAIN)
public class PriorityService {

	@Authentication
	@Authorization
	@GET
	@Path("/authentication/authorization")
	public String authenticationAuthorization(@HeaderParam(AbstractFilter.PRIORITYINFO) String header) {
		return header;
	}

	@Authentication
	@HeaderDecorator
	@GET
	@Path("/authentication/headerdecorator")
	public String authenticationHeaderDecorator(@HeaderParam(AbstractFilter.PRIORITYINFO) String header) {
		return header;
	}

	@Authentication
	@HeaderDecorator
	@Authorization
	@User
	@EntityCoder
	@GET
	@Path("/all")
	public String all(@HeaderParam(AbstractFilter.PRIORITYINFO) String header) {
		return header;
	}
}
