package org.jboss.qe.cxf.rs.providers;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("resource")
public class MyResource {
	private Message message = new Message();

	@GET
	@Produces(MediaType.APPLICATION_XML)
	@Path("/xml")
	public Message xmlMessage() {
		message.setId(42);
		message.setMessage("Hello World!");
		return message;
	}

	@POST
	@Consumes(MediaType.APPLICATION_XML)
	@Path("/xml")
	public String postXmlMyBean(Message message) {
		return message.toString();
	}
}
